<section class="body-container">
  <div class="filter-chart">
    <app-admin-chart-molecule></app-admin-chart-molecule>
  </div>
  <section class="setup-list">
    <ul>
      <li *ngFor="let navLink of financeNavLinks" (click)="changeAccordian(navLink.name, target)"
        [ngClass]="{'active-bar': navLink.active}">
        <span>
          <div class="image-container">
            <img [src]="navLink.url" alt={{navLink.name}}>
          </div>
          <span class="title">{{navLink.name}}</span>
        </span>
      </li>
    </ul>
  </section>
  <section #target *ngFor="let navLink of financeNavLinks" class="form-container">
    <div *ngIf="navLink.active" class="header-label">
      <span class="hr-image">
        <img class="img-fluid" [src]="navLink.url" alt="logo" />
      </span>
      <span class="admin-name">{{navLink.name}}</span>
    </div>
    <section *ngIf="navLink.active && navLink.name === 'Accounts Payable'" class="form-container">
      <app-finance-form-molecule (scrollToPosition)="scrollToPosition()"></app-finance-form-molecule>
    </section>
    <section *ngIf="navLink.active && navLink.name === 'Accounts Receivable'" class="form-container">
      <app-account-receivable-molecule pageType="accountReceivable"></app-account-receivable-molecule>
    </section>
    <section *ngIf="navLink.active && navLink.name === 'Inventory Report'" class="form-container">
      <app-inventory-report-molecule (scrollToPosition)="scrollToPosition()"></app-inventory-report-molecule>
    </section>
    <section *ngIf="navLink.active && navLink.name === 'General Ledger'" class="form-container">
      <app-general-ledger-molecule (scrollToPosition)="scrollToPosition()"></app-general-ledger-molecule>
    </section>
    <section *ngIf="navLink.active && navLink.name === 'Sales Return'" class="form-container">
      <app-account-receivable-molecule pageType="salesReturn"></app-account-receivable-molecule>
    </section>
  </section>
</section>